defmodule YathEx.Data.Savegame do
  def list_saves do
    Path.wildcard("savegame/*.sav")
    |> Enum.map(fn save ->
      String.replace(save,"savegame\/","")
    end)
  end

  def mk_save_dir do
    if not File.exists?("savegame") do
      File.mkdir("savegame")
    end
  end

end
